{% extends 'base.html' %}

	{% block title %}Register{% endblock %}

	{% block content %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center my-3">Register</h1>
					{% if error == True %}
						<p class="text-danger">Duplicate user found</p>
					{% endif %}
					<form action="{% url 'todolist:register' %}" method="post">
						{% csrf_token %}

						<div class="mb-3">
						    <label for="username">Username: </label>
						    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="50" required>
						</div>

						<div class="mb-3">
						    <label for="first_name">First Name: </label>
						    <textarea class="form-control" name="first_name" value="{{ first_name }}" required></textarea>
						</div>

							<div class="mb-3">
						    <label for="last_name">Last Name: </label>
						    <textarea class="form-control" name="last_name" value="{{ last_name }}" required></textarea>
						</div>

						<div class="mb-3">
						    <label for="email">Email: </label>
						    <textarea class="form-control" name="email" value="{{ email }}" required></textarea>
						</div>

						<div class="mb-3">
						    <label for="password">Password: </label>
						    <textarea class="form-control" name="password" value="{{ password }}" required></textarea>
						</div>

						<div class="mb-3">
						    <label for="confirm_password">Confirm Password: </label>
						    <textarea class="form-control" name="confirm_password" value="{{ confirm_password }}" required></textarea>
						</div>

						<div class="text-center">
					    	<input class="btn btn-success" type="submit" value="Register">
						</div>

					</form>
				</div>
			</div>
		</div>
	{% endblock %}


